package core.notevault.ui.login;

import android.app.AlertDialog;
import android.app.Dialog;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.EditText;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.DialogFragment;
import core.notevault.R;
import core.notevault.sync.auth.AuthRepository;

public class LoginDialogFragment extends DialogFragment {

    @NonNull
    @Override
    public Dialog onCreateDialog(@Nullable Bundle savedInstanceState) {
        LayoutInflater inflater = requireActivity().getLayoutInflater();
        View loginView = inflater.inflate(R.layout.fragment_login_dialog, null); // Ersetze 'your_dialog_layout' durch deinen Dateinamen

        EditText usernameInput = loginView.findViewById(R.id.editTextUsername);
        EditText passwordInput = loginView.findViewById(R.id.editTextPassword);

        AuthRepository authRepository = new AuthRepository(this.getContext());

        return new AlertDialog.Builder(requireContext())
                .setView(loginView)
                .setPositiveButton("Speichern", (dialog, which) -> {
                    String username = usernameInput.getText().toString();
                    String password = passwordInput.getText().toString();

                    authRepository.performLogin(username, password, new LoginCallBackImpl(this.getContext()));
                } )
                .setNegativeButton("Abbrechen", (dialog, which) -> {} )
                .create();
    }


}
